Subject: bug#14782: 24.3.50; flyspell-mode garbles accents in terminal clients

From: Agustin Martin <[email-masked]>
Date: Thu, 4 Jul 2013 12:56:32 +0200

On Thu, Jul 04, 2013 at 09:02:21AM +0200, Stefano Zacchiroli wrote:
> On Thu, Jul 04, 2013 at 05:44:45AM +0300, Eli Zaretskii wrote:
> > It sounds like your encoding, which Emacs uses to communicate with the
> > speller, is set up incorrectly.
> 
> Uh? And why would that be affected by whether flyspell-mode is enabled
> or not? Or by whether the accented letter is typed as part of a word
> rather than at the beginning of it?
> 
> Everything of course is possible, but I don't get the rationale for your
> explanation. Can you expand on it a little bit?
> 
> Also, I should note that it works fine with Emacs 23 (without changing
> my encoding settings), whereas it breaks with 24.3.

For the records, in Debian sid ispell.el and flyspell.el are exactly the
same for emacs23 and emacs24 packages (are provided externally by
dictionaries-common package), although I see that you reproduced this
also with "emacs -Q", which should use pristine values.

I could not reproduce this in my ISO8859-1 box. However, if I call Emacs
under the es_ES.UTF8 locale,

$ LC_ALL=es_ES.UTF8 emacs23
M-x server-start
$ LC_ALL=es_ES.UTF8 emacsclient.emacs23 -t

everytime I type an accented char in the GUI I see its UTF8 correspondence
in the client terminal, not the char. I am seeing this for Emacs23,
Emacs24 and emacs-snapshot, with or without "-Q", no need to fiddle with
`flyspell-mode'. This seems to not happen with GUI clients.

Regards,

-- 
Agustin